"""
Models package for pulmo-cristal.

This package provides data models for representing structured data
extracted from donor PDF documents.
"""

from .donneurs import (
    Donneur,
    DonneurType,
    SexeType,
    BooleanValue,
    HLAData,
    SerologiesData,
    MorphologieData,
    HabitusData,
    AntecedentsData,
    BilanInfectieuxData,
    BilanHemodynamiqueData,
    EvolutionHemodynamiqueData,
    BilanPulmonaireData,
    ParametresRespiratoiresData,
    BilanCardiaqueData,
    ThoraxData,
)

__all__ = [
    # Main donor model
    "Donneur",
    # Enums
    "DonneurType",
    "SexeType",
    "BooleanValue",
    # Data section models
    "HLAData",
    "SerologiesData",
    "MorphologieData",
    "HabitusData",
    "AntecedentsData",
    "BilanInfectieuxData",
    "BilanHemodynamiqueData",
    "EvolutionHemodynamiqueData",
    "BilanPulmonaireData",
    "ParametresRespiratoiresData",
    "BilanCardiaqueData",
    "ThoraxData",
]
